<html>
	<head>
		<title>Projet Groupe 36</title>
		<link rel="stylesheet" href="style.css" >
	</head>
	<body>
		<h1 style="text-align: center;">Projet individuel de Baptiste<br></h1>
		<a href="index.html">Retourner a la page principale<br></a>
		

		<U><h2 style="text-align: center;">Manipulation de Fenêtre<br></h2></U>

		<center><img src="../Yvan/gif/fenetreBaptiste.gif" alt="Animation faite par Baptiste" width="700" 
		height="500"  /></center>
		<p></p>
		<a href="./fenetreBaptiste">Testez-le vous-même<br></a>
		<p></p>


		<U><h2 style="text-align: center;">Manipulation de forme<br></h2></U>

		<center><img src="../Yvan/gif/animBaptiste.gif" alt="Animation faite par Baptiste" width="500" 
		height="400"  /></center>
		<p></p>
		<a href="./animationBaptiste">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>
		<pre><code class="language-c">
			SDL_Rect rectangle;

			int differentes_couleurs = 255;

			for (int i = 0; i < differentes_couleurs; i++)
			{
				SDL_SetRenderDrawColor(renderer,255, 0, 0,255);
				rectangle.x = 50+i;                                             // x haut gauche du rectangle
				rectangle.y = 50;                                                  // y haut gauche du rectangle
				rectangle.w = 100;                                                // sa largeur (w = width)
				rectangle.h = 300;                                                // sa hauteur (h = height)
				SDL_SetRenderDrawColor(renderer, i, 0, 0, 255); // Couleur du rectangle rouge
				SDL_RenderFillRect(renderer, &rectangle); // Tracer le rectangle
				SDL_Delay(5);
				SDL_RenderPresent(renderer);
			}
		</code></pre>
		<p></p>

		<U><h2 style="text-align: center;">Manipulation de Sprite<br></h2></U>

		<center><img src="../Yvan/gif/sprtiteBaptiste.gif" alt="Animation faite par Baptiste" width="500" 
		height="500"  /></center>
		<p></p>
		<a href="../Baptiste/spriteBaptiste">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>
		<pre><code class="language-c">
			while (program_on) 
			{
				while (SDL_PollEvent(&event)) 
				{
					if (event.type == SDL_QUIT) 
					{
						program_on = SDL_FALSE;
						break;
					}

					if (event.type == SDL_KEYDOWN) {
						if (event.key.keysym.sym == SDLK_ESCAPE) {
							program_on = SDL_FALSE;
							break;
						}
						else if (event.key.keysym.sym == SDLK_LEFT) {
							imageFuseeX -= IMAGE_SPEED;
						}
						else if (event.key.keysym.sym == SDLK_RIGHT) {
							imageFuseeX += IMAGE_SPEED;
						}
						else if (event.key.keysym.sym == SDLK_UP) {
							imageFuseeY -= IMAGE_SPEED;
						}
						else if (event.key.keysym.sym == SDLK_DOWN) {
							imageFuseeY += IMAGE_SPEED;
						}
					}
				}

				// Rotation de l'image
				angle += 0.01; // Augmenter l'angle de rotation

				SDL_SetRenderDrawColor(renderer, 255, 255, 255, 255); // Effacer le rendu
				SDL_RenderClear(renderer);

				// Affichage de la Terre avec rotation
				SDL_RenderCopyEx(renderer, imageTextureTerre, NULL, &destRect, angle, NULL, SDL_FLIP_NONE);

				// Affichage de la fusee à sa nouvelle position
				SDL_Rect destRect1 = { imageFuseeX, imageFuseeY, imageWidthFusee, imageHeightFusee };
				SDL_RenderCopy(renderer, imageTextureFusee, NULL, &destRect1);

				SDL_RenderPresent(renderer);
    		}
		
		</code></pre>
		<a href="index.html">Retourner a la page principale<br></a>

	</body>
</html>
